Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IIOP_SSL_Connector Class Reference

IIOP-specific Connector (SSL aware) bridge for pluggable protocols. More...

`#include <IIOP_SSL_Connector.h>`

Inheritance diagram for TAO_IIOP_SSL_Connector:

[legend]
Collaboration diagram for TAO_IIOP_SSL_Connector:

[legend]
List of all members.

## Public Types
typedef TAO_Connect_Concurrency_Strategy< TAO_IIOP_SSL_Connection_Handler > | TAO_IIOP_SSL_CONNECT_CONCURRENCY_STRATEGY
typedef TAO_Connect_Creation_Strategy< TAO_IIOP_SSL_Connection_Handler > | TAO_IIOP_SSL_CONNECT_CREATION_STRATEGY
typedef ACE_Connect_Strategy< TAO_IIOP_SSL_Connection_Handler, ACE_SOCK_CONNECTOR > | TAO_IIOP_SSL_CONNECT_STRATEGY
typedef ACE_Strategy_Connector< TAO_IIOP_SSL_Connection_Handler, ACE_SOCK_CONNECTOR > | TAO_IIOP_SSL_BASE_CONNECTOR
## Public Methods
| TAO_IIOP_SSL_Connector (CORBA::Boolean flag=0)
| Constructor. More...
| ~TAO_IIOP_SSL_Connector (void)
| Destructor. More...
int | open (TAO_ORB_Core *orb_core)
int | close (void)
## Protected Methods
int | set_validate_endpoint (TAO_Endpoint *ep)
| = More TAO_Connector methods, please check the documentation on Transport_Connector.h. More...
int | make_connection (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc)
## Private Attributes
TAO_IIOP_SSL_CONNECT_STRATEGY | connect_strategy_
| Our connect strategy. More...
TAO_IIOP_SSL_BASE_CONNECTOR | base_connector_
| The connector initiating connection requests for IIOP_SSL. More...
TAO_SSLIOP_Connection_Handler_State | handler_state_
| State that will be passed to each SSLIOP connection handler upon creation. More...

## Detailed Description

IIOP-specific Connector (SSL aware) bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registry.

## Member Typedef Documentation

typedef ACE_Strategy_Connector<TAO_IIOP_SSL_Connection_Handler, ACE_SOCK_CONNECTOR> TAO_IIOP_SSL_Connector::TAO_IIOP_SSL_BASE_CONNECTOR

typedef TAO_Connect_Concurrency_Strategy<TAO_IIOP_SSL_Connection_Handler> TAO_IIOP_SSL_Connector::TAO_IIOP_SSL_CONNECT_CONCURRENCY_STRATEGY

typedef TAO_Connect_Creation_Strategy<TAO_IIOP_SSL_Connection_Handler> TAO_IIOP_SSL_Connector::TAO_IIOP_SSL_CONNECT_CREATION_STRATEGY

typedef ACE_Connect_Strategy<TAO_IIOP_SSL_Connection_Handler, ACE_SOCK_CONNECTOR> TAO_IIOP_SSL_Connector::TAO_IIOP_SSL_CONNECT_STRATEGY

## Constructor & Destructor Documentation

TAO_IIOP_SSL_Connector::TAO_IIOP_SSL_Connector | ( | CORBA::Boolean | flag = 0 | ) |

| Constructor.

TAO_IIOP_SSL_Connector::~TAO_IIOP_SSL_Connector | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_IIOP_SSL_Connector::close | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_IIOP_Connector. Reimplemented in TAO_SSLIOP_Connector.

int TAO_IIOP_SSL_Connector::make_connection | ( | TAO_GIOP_Invocation * | invocation,
|  | TAO_Transport_Descriptor_Interface * | desc
| ) | `[protected, virtual]`

| Reimplemented from TAO_IIOP_Connector.

int TAO_IIOP_SSL_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

| Reimplemented from TAO_IIOP_Connector. Reimplemented in TAO_SSLIOP_Connector.

int TAO_IIOP_SSL_Connector::set_validate_endpoint | ( | TAO_Endpoint * | endpoint | ) | `[protected, virtual]`

| = More TAO_Connector methods, please check the documentation on Transport_Connector.h. Reimplemented from TAO_IIOP_Connector.

## Member Data Documentation

TAO_IIOP_SSL_BASE_CONNECTOR TAO_IIOP_SSL_Connector::base_connector_`[private]`

| The connector initiating connection requests for IIOP_SSL. Reimplemented from TAO_IIOP_Connector. Reimplemented in TAO_SSLIOP_Connector.

TAO_IIOP_SSL_CONNECT_STRATEGY TAO_IIOP_SSL_Connector::connect_strategy_`[private]`

| Our connect strategy. Reimplemented from TAO_IIOP_Connector. Reimplemented in TAO_SSLIOP_Connector.

TAO_SSLIOP_Connection_Handler_State TAO_IIOP_SSL_Connector::handler_state_`[private]`

| State that will be passed to each SSLIOP connection handler upon creation. Reimplemented in TAO_SSLIOP_Connector.

The documentation for this class was generated from the following files:

- IIOP_SSL_Connector.h
- IIOP_SSL_Connector.cpp